## Table of contents
* [General info](#general-info)
* [Technologies](#technologies)
* [Setup](#setup)

## General info
SignLanguageRecognition package is a opensource tool to estimate sign language from camera vision. This project is a implementation of sign language recognition using a LSTM Neural Network, TensorFlow Keras and other opensorce libraries like: OpenCV or MediaPipe.
	
## Technologies
Project is created with:
* Python: 3.8.8
* OpenCV-Python: 4.5.3.56
* TensorFlow: 2.4.1
* MediaPipe: 0.8.7.3
* NumPy: 1.19.5
	
## Setup and getting started
Make sure that you have installed ```python``` (>=3.6) and you can run ```python``` from the command line. Check it by running:
```
python --version
```
Make sure you can run ```pip``` from the command line and ensure that ```pip``` version is up-to-date, using command:
```
pip install --upgrade pip
```
To run SignLanguageRecognition package, install you have to install it locally using ```pip```:
```
pip install SignLanguageRecognition
```
 or to install specific version, for example 0.0.17:
 ```
 pip install SignLanguageRecognition==0.0.17
 ```

When you are installing this library, the following are also installed: ```opencv-python```,```mediapipe```,```numpy```.
 
More details about installing and running python packages here: [Installing Packages (python.org)](https://packaging.python.org/tutorials/installing-packages/).